## org.eclipse.datatools.connectivity.ui.wizards
Interface IDriverUIContributor

All Known Implementing Classes:
  OtherDriverUIContributor

    public interface IDriverUIContributor

Method Summary
`boolean` `determineContributorCompletion()`
`Composite` `getContributedDriverUI(Composite parent, boolean isReadOnly)`
`java.util.List` `getSummaryData()`
`void` `loadProperties()`
`void` `setDialogPage(DialogPage parentPage)`
`void` `setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)`

Method Detail

### getContributedDriverUI

    Composite getContributedDriverUI(Composite parent,
                                     boolean isReadOnly)

### determineContributorCompletion

    boolean determineContributorCompletion()

### setDialogPage

    void setDialogPage(DialogPage parentPage)

### setDriverUIContributorInformation

    void setDriverUIContributorInformation(IDriverUIContributorInformation contributorInformation)

### loadProperties

    void loadProperties()

### getSummaryData

    java.util.List getSummaryData()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.